{
    "1"  : "incorrect password entered when connecting to text chatroom UID %s",
    "2"  : "you are already in this text chatroom (UID %s, \"%s\")",
    "3"  : "you are already connected to the server",
    "4"  : "you do not have rights to connect to the server",
    "5"  : "you do not have rights to post messages on the announcements board",
    "6"  : "you do not have rights to view the announcements board",
    "7"  : "you do not have rights to create a text chatroom",
    "8"  : "you do not have rights to enter to a text channel",
    "9"  : "you do not have rights to open a private chat session",
    "10" : "you do not have rights to send a message to a text chatroom",
    "11" : "the user is not allowed to accept private messages",
    "12" : "not enough rights to change personal information",
    "13" : "a user with this UIN (%s) is not connected to the server",
    "14" : "incorrect user password",
    "15" : "the user UIN %s is blocked",
    "16" : "you cannot create a new group - this name already exists",
    "17" : "a user with this UIN (%s) is not registered on the server",
    "18" : "a user with this UIN (%s) is already in your contacts list",
    "19" : "you cannot add yourself to contact list",
    "20" : "the user cannot receive private messages",
    "21" : "you cannot register this nickname, it is already in use",
    "22" : "not enough rights to change password",
    "23" : "you cannot choose nickname \"%s\", it is reserved",
    "24" : "new users registration forbidden",
    "25" : "you cannot enter the chatroom \"%s\". There is a penalty for entering",
    "26" : "you cannot send a message to the \"%s\" chatroom, there is a penalty for sending messages",
    "27" : "a user with this UIN is not online or the UIN is incorrect (%s)",
    "28" : "you cannot disconnect yourself from the server",
    "29" : "the robot does not like unnecessary attention >:[",
    "30" : "no rights to disconnect users from server",
    "31" : "no rights to block IP addresses",
    "32" : "you cannot block your own IP address",
    "33" : "no rights to block MAC addresses",
    "34" : "you cannot block your own MAC address",
    "35" : "no rights to ban other users",
    "36" : "you cannot ban yourself",
    "37" : "no rights to kick users out of chatroom",
    "38" : "this chatroom (UID %s) does not exist",
    "39" : "this user is not in the chatroom",
    "40" : "no rights to change the chatroom topic",
    "41" : "hotkey \"%s\" is not registered - the combination is in use by another program",
    "42" : "the public FTP server is down",
    "43" : "access to the public FTP server is prohibited",
    "44" : "not enough rights to administer server through console",
    "45" : "this IP address (%s, %s) is already blocked",
    "46" : "this MAC address (%s) is already blocked",
    "47" : "this IP address (%s, %s) is not in blocked list",
    "48" : "this MAC address (%s) is not in blocked list",
    "49" : "this stop-word (%s) is already in the list",
    "50" : "there is no ban with this index (%s)",
    "51" : "no rights to clear the text chatroom",
    "52" : "this nickname cannot be registered",
    "53" : "you can't use \"%s\" for the conference name because it is in the list of forbidden names",
    "54" : "this stop-word is not in the list",
    "55" : "a chatroom with this UID is not registered",
    "56" : "message blocked by an anti-flood filter",
    "57" : "no chatroom operator status to change the topic",
    "58" : "no rights to change contacts list",
    "59" : "a group with this name (%s) does not exist",
    "60" : "you cannot register from this MAC address anymore",
    "61" : "you cannot send broadcasts to other users. Contact the administrator",
    "62" : "the message is too long or incorrect. Reconnect to the server",
    "63" : "files cannot be transferred offline. You must be in the user's contact list",
    "64" : "the chatroom cannot be created because the name is blocked by the swear filter",
    "65" : "the chatroom cannot be created because the chatroom topic is blocked by the swear filter",
    "66" : "unacceptable nickname (or full name). The name is blocked by the swear filter",
    "67" : "no rights to send files",
    "68" : "the user on the receiving end does not have rights to accept files (UIN: %s)",
    "69" : "you cannot add more contacts using this server version",
    "70" : "the nickname cannot be changed since it is already in use",
    "71" : "the domain user (%s) is not registered on the server",
    "72" : "no rights to send a personal message to the text chatroom",
    "73" : "no rights to send alert message to the text chatroom",
    "74" : "unable to load image to server. The MyChat FTP server is down or unavailable",
    "75" : "unable to restore account. Incorrect UIN, password, or answer to secret question",
    "76" : "no rights to rename the text chatroom",
    "77" : "this text chatroom already exists",
    "78" : "you cannot leave this auto created conference (\"%s\", UID %s)",
    "79" : "you cannot connect to server version %s with a newer version of the client (%s)",
    "80" : "invalid password to connect to server",
    "81" : "client (%s) and server (%s) versions are incompatible",
    "82" : "you cannot connect as a domain account user without specifying a domain name",
    "83" : "user does not exist or wrong authentication type",
    "84" : "you cannot enter this chatroom because the Messenger interface style is being used without text conference support",
    "85" : "chatroom name cannot be empty",
    "86" : "not authorized to view the title of the active process of another user",
    "87" : "not authorized to force shutdown of a remote client",
    "88" : "you cannot open a private chat with user UIN %s because they are not in your list of personal contacts (you have a restriction on the server)",
    "89" : "you cannot open a private chat with user UIN %s because they are not in your list of general contacts (you have a restriction on the server)",
    "90" : "you do not have sufficient privileges to make voice/video calls",
    "91" : "user UIN : %s does not have sufficient privileges to make voice/video calls",
    "92" : "unable to connect as the specified domain user (invalid username, password or domain name)",
    "93" : "not authorized to rename contact group",
    "94" : "unable to rename group, because the original group (ID %s) does not exist",
    "95" : "unable to rename group, because group name \"%s\" already exists",
    "96" : "role with ID %s does not exist",
    "97" : "your interlocutor got an error during a call",
    "98" : "an error occurred during a call %s",
    "99" : "error connection NodeWebKit to the MyChat Client",
    "100": "network error IP %s: %s",
    "101": "unexpected audio/video error",
    "102": "error creating database backup file",
    "103": "use of the \"%s\" plugin is forbidden by the administrator",
    "104": "unable to create file \"%s\"",
    "105": "unable to use TCP port %s to launch NodeWebKit",
    "106": "unable to launch NodeWebKit",
    "107": "user UIN %s has not granted other users permission to view their personal files",
    "108": "position with this index (%s) does not exist",
    "109": "position with this name (%s) already exists",
    "110": "position name contains invalid characters",
    "111": "privileges group with this name (%s) already exists",
    "112": "you cannot delete privileges group \"Guests\"",
    "113": "privileges group with this index (%s) does not exist",
    "114": "invalid number of privileges in group",
    "115": "invalid characters in privileges list (only \"0\" or \"1\" permitted)",
    "116": "unable to send invitation to WEB chat, please contact the administrator",
    "117": "you cannot send any more invitations to WEB chat, you need to purchase a MyChat Guest license",
    "118": "WEB support group with this identifier (%s) does not exist",
    "119": "WEB support group with this name (%s) already exists",
    "120": "%s ParentID group does not exist, unable to add",
    "121": "WEB support function disabled",
    "122": "MyChat Guest function disabled",
    "123": "external IP address or hostname not specified in server network settings",
    "124": "this IP address (%s, %s) is already in the permitted IP address list",
    "125": "this IP address (%s) is not in the permitted IP address list",
    "126": "this nickname (%s) is already in the prohibited nicknames list",
    "127": "this nickname (%s) is not in the prohibited nicknames list",
    "128": "this conference name (%s) is already in the prohibited list",
    "129": "this conference name (%s) is not in the prohibited list",
    "130": "you cannot add a conference with a blank name to the exclusions list",
    "131": "this conference name (%s) is already in the filter exclusions list",
    "132": "this conference name (%s) is not in the anti-swearing filter exclusions list",
    "133": "export file could not be saved, write error",
    "134": "list of fields to export is empty",
    "135": "the common contact group with this ID (%s) does not exists",
    "136": "invalid name (\"%s\") of the common contact group",
    "137": "no rights to view FTP logs",
    "138": "no rights to view of all conference conversations",
    "139": "no rights to view of all private conversations",
    "140": "no rights to view own private conversations",
    "141": "no rights to view system logs",
    "142": "no rights to view NodeJS logs",
    "143": "no rights to view audit logs",
    "144": "the server requires an necessarily traffic encryption using. Please enable it in the settings",
    "145": "the updates loading interrupted",
    "146": "updates packet is broken. Updating is impossible",
    "147": "accessing error to the updates packet. Updating is impossible",
    "148": "client version (%s) incompatible with server version (%s). Please, upload the updates packet to the server",
    "149": "client version (%s) incompatible with server version (%s). Please, update MyChat Client through GPO",
    "150": "unable to download the updates packet (%s). Network error \"%s\"",
    "151": "error access to the file during downloading an update: \"%s\"",
    "152": "unpacking error of updates packet",
    "153": "user UIN %s has already in the moderators list",
    "154": "user UIN %s has already in the conference UID %s moderators list",
    "155": "user UIN %s is not in the conference moderators list",
    "156": "no free users",
    "157": "no rights for ignores managing",
    "158": "connection attempt under standard account for the domain user",
    "159": "your IP (%s) is not in the allowed addresses list",
    "160": "your IP address (%s) is in the blocked list",
    "161": "unknown application type",
    "162": "downloading error of updates file, file not found",
    "163": "downloading error of updates file, file is broken",
    "164": "downloading error of updates file, wrong version",
    "165": "LDAP error: #%s (%s), %s",
    "166": "server script with this ID (%s) is not exist",
    "167": "event \"%s\" is not exist",
    "168": "this script name (\"%s\") already exists",
    "169": "no rights for script logs viewing",
    "170": "no updates packet %s on the server",
    "171": "unknown error of updates packet downloading %s",
    "172": "no rights to Kanban access",
    "173": "you cannot delete the auto created conference (UID %s)",
    "174": "this user cannot answer because he is currently speaking to somebody else",
    "175": "the Portable MyChat Client and MyChat Server are incompatible",
    "176": "group of users with this name (%s) already exists",
    "177": "not enough rights to administer server",
    "178": "groups of Guests and WEB guests rights cannot be renamed",
    "179": "groups of Guests and WEB guests rights cannot be used",
    "180": "wrong user authentication type",
    "181": "no rights to forum access",
    "182": "no rights to forum sections creating",
    "183": "unable to add the new forum section, wrong ParentID (%s)",
    "184": "unable to add the new forum section, name cannot be empty",
    "185": "no rights to forum sections changing",
    "186": "unable to change the forum section, wrong ParentID (%s)",
    "187": "unable to change the forum section, name cannot be empty",
    "188": "no rights to forum topics creating",
    "189": "unable to add the new forum topic, wrong ParentID (%s)",
    "190": "unable to add a new forum topic, name cannot be empty",
    "191": "no rights to forum topics changing",
    "192": "unable to change the forum topic, wrong ParentID (%s)",
    "193": "unable to change the forum topic, name cannot be empty",
    "194": "no rights to forum messages creating",
    "195": "unable to add the new forum message, wrong ParentID (%s)",
    "196": "unable to add the new forum message, name cannot be empty",
    "197": "no rights to forum messages changing",
    "198": "unable to delete the forum message, wrong ID (%s)",
    "199": "unable to delete the forum topic, wrong ID (%s)",
    "200": "unable to change the forum message, wrong ParentID (%s)",
    "201": "unable to change the forum message, name cannot be empty",
    "202": "unable to change the forum message, wrong ID (%s)",
    "203": "unable to delete the forum section, wrong ID (%s)",
    "204": "no rights to changing self forum messages",
    "205": "no rights to to deleting forum sections",
    "206": "no rights to deleting forum topics",
    "207": "no rights to to deleting forum messages",
    "208": "no rights to deleting self forum messages",
    "209": "the server has exceeded the maximum number of allowed connections",
    "210": "you cannot register this email, it is already in use",
    "211": "you cannot use network path (\\\\) in FTP server settings",
    "212": "wrong FTP server local folder path (\"%s\")",
    "213": "user UIN : %s does not have sufficient privileges to receive voice calls",
    "214": "user UIN : %s does not have sufficient privileges to receive video calls",
    "215": "authorization error, invalid token",
    "216": "authorization error, wrong token application type",
    "217": "unable to download the file \"%s\", file is busy",
    "218": "the script cannot be deleted",
    "219": "plugin \"%s\", function \"%s\"",
    "220": "you don't have sufficient privileges to insert files into private dialog",
    "221": "you don't have sufficient privileges to send private messages",
    "222": "you don't have sufficient privileges to insert files into conferences",
    "223": "server connection was lost",
    "224": "network error: %s",
    "225": "you aren't in this text chatroom (UID %s)",
    "226": "authorization on the mail server has failed",
    "227": "you can't send images to text conferences",
    "228": "you can't send images to privates",
    "229": "port for the service \"%s\" must be in range 1..65535",
    "230": "port for the service \"%s\" matches the service's \"%s\" port \"%s\"",
    "231": "port \"%s\" for the service \"%s\" is already occupied by another running application",
    "232": "no rights to remove messages in the text conferences",
    "233": "you have no access to a messages removing tool in the text conferences",
    "234": "file uploading error (URL \"%s\", #%s, \"%s\")",
    "235": "not verified https certificate for host \"%s\"",
    "236": "updating packet downloading has aborted due to the network time-out (>%s ms)",
    "237": "error getting image thumbnail (%s)",
    "238": "you cannot register from this HardwareID address anymore",
    "239": "you cannot register from this IP address anymore",
    "240": "this HardwareID (\"%s\") already exists in the blocks list",
    "241": "your MAC address is blocked",
    "242": "your HardwareID is blocked",
    "243": "you cannot use network path (\\\\) in server folders settings",
    "244": "wrong server local folder path (\"%s\")",
    "247": "impossible to change the quiz question. There is already a duplicate in the database",
    "248": "you can't open a private dialogue with the user UIN %s because he is not included in the WEB support operators list",
    "249": "you can't open a dialogue with yourself",
    "250": "you don't have access to the tool for deleting messages in private dialogues",
    "251": "you don't have enough rights to delete messages in your private dialogues",
    "252": "file \"%s\" is removed from the server",
    "253": "not enough rights to redirect private dialogues",
    "254": "not enough rights to send multicast private messages",
    "255": "administrator limited the maximum upload file size to %s MB",
    "256": "local resource file \"%s\" not found, please, reinstall the program",
    "257": "FTP server is down or unreachable, IP %s, TCP port %s",
    "258": "you can't move the group into itself (ID %s)",
    "259": "you can't move the user into itself (ID %s)",
    "260": "task with ID %s already taken by another user",
    "261": "not enough rights to delete messages in the text conferences from the local database",
    "262": "not enough rights to delete messages in your private dialogues from the local database",
    "263": "file download error: \"%s\", URL: \"%s\"",
    "264": "you can't change the email, the address \"%s\" is already used in another account",
    "265": "no rights for inviting people to text conferences",
    "266": "you can't invite the user UIN %s to the conference \"%s\" (UID %s) because you are not a member",
    "267": "no connection with TURN server via TCP port %s and addresses %s",
    "268": "network resource \"%s\" unavailable at the moment or the link is incorrect",
    "269": "plugin \"%s\" has no \"%s\" function",
    "270": "plugin \"%s\" is using too old API. Please update it",
    "271": "you don't have the rights for calling via Asterisk",
    "272": "your interlocutor has no rights for receiving calls via Asterisk",
    "273": "integration with Asterisk is disabled",
    "274": "you haven't specified your work phone number",
    "275": "your interlocutor has no work phone number specified",
    "276": "no connection with Asterisk server",
    "277": "not enough free space on the server's disk (%s bytes free, drive %s:), file upload is impossible",
    "278": "use HTTPS protocol for calls in a browser",
    "279": "access denied",
    "280": "you have not enough rights for making screen sharing calls",
    "281": "the user UIN %s has not enough rights to answer screen sharing calls",
    "282": "UIN must be above zero",
    "283": "it is impossible to create a private user group, such name already exists (%s)",
    "284": "impossible to create a personal group of users. The users list has incorrect data",
    "285": "impossible to delete personal groups of users. The group list has incorrect data specified",
    "286": "you have no rights to create personal user groups",
    "287": "you have no rights to delete personal user groups",
    "288": "you have no rights for editing user personal groups",
    "289": "impossible to add users to the personal group. The user list has incorrect data",
    "290": "incorrect ID (%s) specified in the user personal group",
    "291": "no access to user personal groups",
    "292": "impossible to remove users from the personal group. The user list has incorrect data",
    "293": "impossible to rename the personal user group, such name already exists",
    "294": "personal user group name can't be empty",
    "295": "no access to the common user groups",
    "296": "no rights for editing Kanban projects",
    "297": "Kanban project with с ID (%s) does not exist",
    "298": "you are not a creator of the Kanban project, and you do not have elevated privileges for access",
    "299": "you specified a non-existent ID (%s) of the common user group, or the personal group with such ID does not belong to you",
    "300": "incorrect ID (%s) of the common user group",
    "301": "the stage with such ID (%s) does not exist in the Kanban project",
    "302": "invalid push token",
    "303": "you have no rights for viewing user geopositions",
    "304": "you can't specify yourself in the request",
    "305": "you do not have rights to fire users",
    "306": "incorrect user list",
    "307": "the list contains UIN = 0",
    "308": "user list is empty",
    "309": "the list contains a non-existent user",
    "310": "the user with UIN %s is already blocked, dismissal is impossible",
    "311": "function is unavailable, you must use Windows 10 or newer",
    "312": "heavy load on the server, connection refused",
    "313": "the client's version (%s) is not compatible with the server's version (%s). Please, update MyChat Client manually or install it to a user's profile",
    "314": "please, update MyChat Client manually or install it to a user's profile",
    "315": "encryption is impossible. The operating system is too old",
    "316": "menu name can't be empty",
    "317": "such menu name already exists, duplicated are forbidden",
    "318": "incorrect or corrupted JSON object",
    "319": "menu identifiers list is empty",
    "320": "menu identifiers list contains incorrect or non-existent elements",
    "321": "embedded WEB-server is down, connection refused",
    "322": "user group ID (%s) is already in the list",
    "323": "non-existent custom menu index specified ID (%s)",
    "324": "group identifiers list is empty",
    "325": "user group identifiers list contains incorrect or non-existent elements",
    "326": "you have no rights for remote execution of server scripts",
    "327": "you have no rights to use a custom menu",
    "328": "unable to download file \"%s\", network error %s: \"%s\"",
    "329": "no plugin for media calls",
    "330": "not enough rights to delete own account",
    "331": "your application type is not allowed to connect to the server",
    "332": "the request is blocked by the script on the server, the event \"%s\"",
    "333": "impossible to make a call in a conference, the mixer is disabled on the server",
    "334": "WEB server does not work or disabled on MyChat Server",
    "335": "protocol error, command: %s, data: %s",
    "336": "user group ID %s is already included in the conference UID %s",
    "337": "user groups with such an ID (%s) do not exist",
    "338": "you can't add a user group ID (%s) to the not auto-created conference UID (%s)",
    "339": "you can't kick out a user UIN %s from the conference UID %s because he is a member of the group",
    "340": "unacceptable information with the conference UID %s",
    "341": "you can't kick out a built-in robot (UIN=0) from a conference UID %s",
    "342": "user UIN %s is already in the conference UID %s",
    "343": "user UIN %s can't join the conference UID %s due to punishment",
    "344": "you can't rename the conference as the name is blocked by obscene words filter",
    "345": "user UIN %s is not a moderator in the conference UID %s",
    "346": "incorrect ban type (%s)",
    "347": "date and time of ban removing can't be less than the current date and time",
    "348": "inaccessible path to the folder for storing user files on the server",
    "349": "you can't close the auto created conference UID %s",
    "350": "no rights for deleting text conferences",
    "351": "no rights for closing text conferences",
    "352": "you can't delete the auto-created conference UID %s",
    "353": "the client's version (%s) is newer than the server's version (%s). Unable to connect",
    "354": "a word can't be empty for obscene words filter",
    "355": "a word is too long for obscene words filter",
    "356": "a word can't include delimiters (spaces, commas, etc.) for obscene words filter",
    "357": "the list is empty or has an invalid format",
    "358": "no rights for editing own private messages",
    "359": "no rights for editing own messages in conferences",
    "360": "you can't edit messages older than %s minutes",
    "361": "a message with such identifier (%s) does not exist",
    "362": "message text can't be empty",
    "363": "the license has expired, message sending is impossible. Please, renew your subscription"
}